Subject: [IPsec] documentation of pf_key extensions (not in rfc 2367)

From: "Sec Pro" <[email-masked]>
Date: Thu, 14 Jun 2012 11:55:39 +0200

Hi,

I do not know if this is the right place for posting my question, but I hope
so. If not, I am very sorry for the inconvenience.

I just started digging me into the topic of PF_KEY and the manually
manipulation of the SAD and SPD from the user land of Linux. My problem is
finding substantial documentation of the extensions of PF_KEY. I know the
RFC 2367, but this document does not describe the newer symbolic names  (not
mentioned there) and their corresponding message types like:
SADB_X_SPDSETIDX, SADB_X_SPDDELETE2, SADB_X_EXT_SA2, SADB_X_EXT_NAT_T_OA,
SADB_X_EXT_SEC_CTX and so on.

I would be very appreciated if anybody could provide me with some kind of
documentation.

thanks in advance Chris